Author Topic: Bochs 2.2.6 for OS/2  (Read 742 times)

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4842
  • Karma: +42/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Bochs 2.2.6 for OS/2
« on: June 04, 2024, 09:30:26 pm »
Hello

This weekend I was playing around with some old OS/2 software and tried to run Bochs under OS/2.
- https://us01.hobbesarchive.com/pub/os2/index.php?p=apps%2Femulator&dl=Bochs_2-2-6.zip

But that version of Bochs was ported some time ago and it uses some renamed libc DLL.

Is there a change for someone to help to recompile Bochs with the newer libraries? Or maybe try of Bochs version 2.8 can compile under OS/2-ArcaOS?

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Dave Yeo

  • Hero Member
  • *****
  • Posts: 4871
  • Karma: +103/-1
    • View Profile
Re: Bochs 2.2.6 for OS/2
« Reply #1 on: June 04, 2024, 10:56:45 pm »
Here's the old libc and gcc DLL's. These should be collected and uploaded to Hobbes archive.
I'll try recompiling
Edit: no source with the exe, wish people would at least include the patches
« Last Edit: June 04, 2024, 10:58:42 pm by Dave Yeo »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4842
  • Karma: +42/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Bochs 2.2.6 for OS/2
« Reply #2 on: June 05, 2024, 10:49:01 pm »
Thanks Dave. I will check the DLLs and also upload them at hobbes for reference.

I will try to contact the Bochs porter to see if he still have the source to make our life easier  :D

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Dave Yeo

  • Hero Member
  • *****
  • Posts: 4871
  • Karma: +103/-1
    • View Profile
Re: Bochs 2.2.6 for OS/2
« Reply #3 on: June 06, 2024, 01:34:20 am »
I tried building it, had problems with the auto tools, both libtoolize and autoconf kept hanging here. Not sure if my environment has broke or what. Version 2.8 wants a newer autoconf as well, I tried 2.8 after changing the requirements and 2.7.
As for DLL's there's various versions of libc going back to at least libc04 and various gcc*.dll's, looking I have a dozen EMX gcc*dll's for example. Maybe we should have a archive of all the ones that can be found?